<div class="container mt-4">
    <h1>แก้ไขข้อมูลผู้ใช้งาน</h1>

    <div class="container card">

        <form>
            <div class="form-group mt-2">
                <label for="name">ชื่อ</label>
                <input type="text" class="form-control" id="name" placeholder="กรุณาใส่ชื่อ" [(ngModel)]="name"
                    [ngClass]="{'is-invalid': name === ''}" [ngModelOptions]="{standalone: true}">
            </div>
            <div class="form-group">
                <label for="email">อีเมล</label>
                <input type="email" class="form-control" id="email" aria-describedby="emailHelp" 
                    [ngClass]="{'is-invalid': email === '' || invalidEmail}" (input)="invalidEmailInput()" placeholder="กรุณาใส่อีเมล" [(ngModel)]="email"
                    [ngModelOptions]="{standalone: true}">
            </div>
            <div class="form-group">
                <label for="tel">เบอร์โทรศัพท์</label>
                <input type="text" class="form-control" id="tel" placeholder="กรุณาใส่เบอร์โทรศัพท์" [(ngModel)]="tel" (input)="invalidEmailInput()"
                    [ngClass]="{'is-invalid': tel === '' || invalidTel}" [ngModelOptions]="{standalone: true}" maxlength="10">
            </div>
            <div class="form-group">
                <label for="address">ที่อยู่</label>
                <input type="text" class="form-control" id="address" placeholder="กรุณาใส่ที่อยู่" [(ngModel)]="address"
                    [ngClass]="{'is-invalid': address === ''}" [ngModelOptions]="{standalone: true}">
            </div>
            <div class="text-end">
                <button type="submit" class="btn btn-primary mt-2 mb-2" (click)="editUser()">ตกลง</button>
                <button type="submit" class="btn btn-secondary mt-2 mb-2 mx-2" (click)="cancel()">ยกเลิก</button>
            </div>
        </form>
    </div>
</div>